/**
Theme Name: Mini-Load Disposal
Author: CodeInk Studios
Author URI: https://code.ink/
Description: Child theme for Mini-Load Disposal.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: mini-load-disposal
Template: astra
*/

/* 404 Template + Search Results */
body.error404 #ast-desktop-header,
body.search-results #ast-desktop-header{
    background-color: var(--ast-global-color-2);
}
body.error404 #content,
body.search-results #content{
	background-color: white;
}
body.error404 .page-title,
body.search-results .page-title,
body.search-results .entry-title a{
	color: var(--ast-global-color-2);
}
body.search-results .post-content .ast-blog-meta-container {
	display: none;
}
body.search-results .ast-container section.ast-archive-description {
	padding-left: 0;
	padding-right: 0;
}
@media ( max-width: 921px ) {
	.ast-theme-transparent-header #masthead {
		background-color: var(--ast-global-color-2);
	}
}

/* Location Pin Icon */
.areas .uagb-post__inner-wrap {
    position: relative;
}

.areas .uagb-post__inner-wrap .uagb-post__title {
	padding-left: 34px;
}

.areas .uagb-post__inner-wrap::before {
    content: "";
    position: absolute;
    top: 20px;
    left: 20px;
    width: 24px;
    height: 24px;
    background-color: #7a9e3a;
    mask: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"><path d="M320 144C320 223.5 255.5 288 176 288C96.47 288 32 223.5 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144zM192 64C192 55.16 184.8 48 176 48C122.1 48 80 90.98 80 144C80 152.8 87.16 160 96 160C104.8 160 112 152.8 112 144C112 108.7 140.7 80 176 80C184.8 80 192 72.84 192 64zM144 480V317.1C154.4 319 165.1 319.1 176 319.1C186.9 319.1 197.6 319 208 317.1V480C208 497.7 193.7 512 176 512C158.3 512 144 497.7 144 480z"></path></svg>') center/55% no-repeat;
    -webkit-mask: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"><path d="M320 144C320 223.5 255.5 288 176 288C96.47 288 32 223.5 32 144C32 64.47 96.47 0 176 0C255.5 0 320 64.47 320 144zM192 64C192 55.16 184.8 48 176 48C122.1 48 80 90.98 80 144C80 152.8 87.16 160 96 160C104.8 160 112 152.8 112 144C112 108.7 140.7 80 176 80C184.8 80 192 72.84 192 64zM144 480V317.1C154.4 319 165.1 319.1 176 319.1C186.9 319.1 197.6 319 208 317.1V480C208 497.7 193.7 512 176 512C158.3 512 144 497.7 144 480z"></path></svg>') center/55% no-repeat;
}
.areas .uagb-post__inner-wrap:hover .uagb-post__title a {
	color: var(--ast-global-color-0);
}

.footer-text{
	padding-block:12px;
}

.uagb-buttons-repeater:hover,
.uagb-buttons-repeater,
.fluentform .ff-btn,
.uagb-button__link,
.uagb-button__link:hover{
	transition: all .2s linear!important;
}

footer nav ul {
	row-gap: .5rem!important;
	display: flex !important;
	flex-direction: column;
}

footer nav ul a{
	text-decoration:underline;
	text-underline-offset: 3px;
}

footer .ast-footer-copyright a {
	color: white;
	text-decoration: underline;
}

.fluentform input {
    background:#fff!important;
}

.fluentform input::placeholder,
.fluentform textarea::placeholder{
	color:var(--ast-global-color-3)!important;
	font-family: inherit;
}

.fluentform input:focus {
    border-color: var(--ast-global-color-0)!important;
}

.fluentform .ff-btn {
    background: var(--ast-global-color-0)!important;
}



.areas .uagb-post__title a:before,
.clickable-parent a:before{
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

@media(max-width:767px){
	.areas{
		row-gap:20px!important;
	}
}

.base-text--link:not(:hover) a{
	color:var(--ast-global-color-3)!important;
}

.position--static {
    position: static!important;
}

@media(max-width:991px){
/* 	nav .menu-item .icon-arrow {opacity: 0;} */
	.card-testimonial{box-shadow:none;}
	.ast-header-break-point .ast-builder-menu-1 .menu-item.menu-item-has-children > .ast-menu-toggle{ 
		top:0; 
		right:0!important;
	}
}

.menu-locations-container .menu {
		display: flex!important;
		flex-wrap: wrap!important;
		column-gap: 2rem!important;
		flex-direction: row!important;
	}
	
.menu-locations-container .menu li{
		width: calc(50% - 2rem)!important;
	}
	
@media(max-width:1024px) and (min-width:820px){
	.menu-locations-container .menu {
		flex-direction: column!important;
	}
	
	.menu-locations-container .menu li{
		width: 100%!important;
	}
}

/* Forms */
.wpa-test-msg {
	display: none;
}
.ff-default .ff_btn_style:hover {
	opacity: 1 !important;
}